# optimbase_cget

Returns the value for the given key.

## Calling Sequence

                value = optimbase_cget(opt, key)

## Argument

opt

  The object of TOPTIM type (tlist).

key

  A string, the name of the key to quiery.

value

  the value in fonction of the given key.

## Description

The `optimbase_cget` function returns the value contained in the `key`. If the `key` is unknown, this function generates an error.

To know the list of available keys, go to `optimbase_configure` help page.

## Example

        opt = optimbase_new();

        // Set number of variables
        opt = optimbase_configure ( opt , "-numberofvariables" , 10);
        nbvar = optimbase_cget(opt, "-numberofvariables")

        // Set initial guess
        opt = optimbase_configure(opt, "-x0", [-1.2 1.0]');
        x0 = optimbase_cget(opt, "-x0")

        // Set maximum number of iteration
        opt = optimbase_configure(opt, "-maxiter", 200);
        value = optimbase_cget(opt, "-maxiter")

        opt = optimbase_destroy(opt);

## See Also

- optimbase_new
- optimbase_configure
- optimbase_get
- optimbase_histget